MagickCore: blob-private.h File Reference

# blob-private.h File Reference

`#include "magick/image.h"`
`#include "magick/stream.h"`

Go to the source code of this file.

## Typedefs
typedef int *(* | BlobFifo )(const Image *, const void *, const size_t)
## Enumerations
enum | BlobMode { UndefinedBlobMode, ReadBlobMode, ReadBinaryBlobMode, WriteBlobMode, WriteBinaryBlobMode }
## Functions
MagickExport BlobInfo * | CloneBlobInfo (const BlobInfo *)
MagickExport BlobInfo ** | ReferenceBlob (BlobInfo *)
MagickExport char * | ReadBlobString (Image *, char *)
MagickExport double | ReadBlobDouble (Image *)
MagickExport float | ReadBlobFloat (Image *)
MagickExport int | EOFBlob (const Image *)
MagickExport int | ReadBlobByte (Image *)
MagickExport MagickBooleanType | CloseBlob (Image *)
MagickExport MagickBooleanType | OpenBlob (const ImageInfo *, Image *, const BlobMode, ExceptionInfo *)
MagickExport MagickBooleanType | UnmapBlob (void *, const size_t)
MagickExport MagickOffsetType | SeekBlob (Image *, const MagickOffsetType, const int)
MagickExport MagickOffsetType | TellBlob (const Image *)
MagickExport MagickSizeType | ReadBlobLongLong (Image *)
MagickExport ssize_t | ReadBlob (Image *, const size_t, unsigned char *)
MagickExport ssize_t | WriteBlob (Image *, const size_t, const unsigned char *)
MagickExport ssize_t | WriteBlobByte (Image *, const unsigned char)
MagickExport ssize_t | WriteBlobFloat (Image *, const float)
MagickExport ssize_t | WriteBlobLong (Image *, const unsigned long)
MagickExport ssize_t | WriteBlobShort (Image *, const unsigned short)
MagickExport ssize_t | WriteBlobLSBLong (Image *, const unsigned long)
MagickExport ssize_t | WriteBlobLSBShort (Image *, const unsigned short)
MagickExport ssize_t | WriteBlobMSBLong (Image *, const unsigned long)
MagickExport ssize_t | WriteBlobMSBShort (Image *, const unsigned short)
MagickExport ssize_t | WriteBlobString (Image *, const char *)
MagickExport unsigned char * | DetachBlob (BlobInfo *)
MagickExport unsigned char ** | MapBlob (int, const MapMode, const MagickOffsetType, const size_t)
MagickExport unsigned long | ReadBlobLong (Image *)
MagickExport unsigned long | ReadBlobLSBLong (Image *)
MagickExport unsigned long | ReadBlobMSBLong (Image *)
MagickExport unsigned short | ReadBlobShort (Image *)
MagickExport unsigned short | ReadBlobLSBShort (Image *)
MagickExport unsigned short | ReadBlobMSBShort (Image *)
MagickExport void | AttachBlob (BlobInfo *, const void *, const size_t)
MagickExport void | GetBlobInfo (BlobInfo *)
MagickExport void | MSBOrderLong (unsigned char *, const size_t)
MagickExport void | MSBOrderShort (unsigned char *, const size_t)

## Typedef Documentation

typedef int*(* BlobFifo)(const Image *, const void *, const size_t)

## Enumeration Type Documentation

enum BlobMode

Enumerator:

  UndefinedBlobMode |
  ReadBlobMode |
  ReadBinaryBlobMode |
  WriteBlobMode |
  WriteBinaryBlobMode |

## Function Documentation

MagickExport void AttachBlob | ( | BlobInfo * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

MagickExport BlobInfo* CloneBlobInfo | ( | const BlobInfo * |  | ) |

MagickExport MagickBooleanType CloseBlob | ( | Image * |  | ) |

MagickExport unsigned char* DetachBlob | ( | BlobInfo * |  | ) |

MagickExport int EOFBlob | ( | const Image * |  | ) |

MagickExport void GetBlobInfo | ( | BlobInfo * |  | ) |

MagickExport unsigned char* * MapBlob | ( | int | ,
|  | const | MapMode,
|  | const | MagickOffsetType,
|  | const | size_t |
| ) |  |  |

MagickExport void MSBOrderLong | ( | unsigned char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void MSBOrderShort | ( | unsigned char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport MagickBooleanType OpenBlob | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const | BlobMode,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ssize_t ReadBlob | ( | Image * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |

MagickExport int ReadBlobByte | ( | Image * |  | ) |

MagickExport double ReadBlobDouble | ( | Image * |  | ) |

MagickExport float ReadBlobFloat | ( | Image * |  | ) |

MagickExport unsigned long ReadBlobLong | ( | Image * |  | ) |

MagickExport MagickSizeType ReadBlobLongLong | ( | Image * |  | ) |

MagickExport unsigned long ReadBlobLSBLong | ( | Image * |  | ) |

MagickExport unsigned short ReadBlobLSBShort | ( | Image * |  | ) |

MagickExport unsigned long ReadBlobMSBLong | ( | Image * |  | ) |

MagickExport unsigned short ReadBlobMSBShort | ( | Image * |  | ) |

MagickExport unsigned short ReadBlobShort | ( | Image * |  | ) |

MagickExport char* ReadBlobString | ( | Image * | ,
|  | char * |  |
| ) |  |  |

MagickExport BlobInfo* * ReferenceBlob | ( | BlobInfo * |  | ) |

MagickExport MagickOffsetType SeekBlob | ( | Image * | ,
|  | const | MagickOffsetType,
|  | const | int |
| ) |  |  |

MagickExport MagickOffsetType TellBlob | ( | const Image * |  | ) |

MagickExport MagickBooleanType UnmapBlob | ( | void * | ,
|  | const | size_t |
| ) |  |  |

MagickExport ssize_t WriteBlob | ( | Image * | ,
|  | const | size_t,
|  | const unsigned char * |  |
| ) |  |  |

MagickExport ssize_t WriteBlobByte | ( | Image * | ,
|  | const unsigned char |  |
| ) |  |  |

MagickExport ssize_t WriteBlobFloat | ( | Image * | ,
|  | const | float |
| ) |  |  |

MagickExport ssize_t WriteBlobLong | ( | Image * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ssize_t WriteBlobLSBLong | ( | Image * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ssize_t WriteBlobLSBShort | ( | Image * | ,
|  | const unsigned short |  |
| ) |  |  |

MagickExport ssize_t WriteBlobMSBLong | ( | Image * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ssize_t WriteBlobMSBShort | ( | Image * | ,
|  | const unsigned short |  |
| ) |  |  |

MagickExport ssize_t WriteBlobShort | ( | Image * | ,
|  | const unsigned short |  |
| ) |  |  |

MagickExport ssize_t WriteBlobString | ( | Image * | ,
|  | const char * |  |
| ) |  |  |